<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$mandante=$_GET['mandante'];

if ($connection)
{
	$query = $connection->query("
			SELECT
			    rs.id AS Id,
			    rs.identificador AS Patente,
			    DATE_FORMAT(rs.fechahora, '%d/%m/%Y %H:%i:%s') AS FechaHora,
			    dch.pregunta AS Desviacion,
			    (CASE WHEN rs.cerrado = 0 THEN 'Abierta' ELSE 'Cerrada' END) AS Estado
			FROM
			    Resultados_Checklist rs
			    JOIN Detalle_Checklist dch ON rs.pregunta = dch.id
			    JOIN app_Clasificacion acl ON rs.clasificacion = acl.id
			    JOIN app_Transportistas apt ON rs.transportista = apt.id
			WHERE
			    respuesta = 'No'
			    AND rs.mandante = $mandante
			    AND rs.planta = $planta
			    AND MONTH(rs.fechahora) = $mes
			    AND YEAR(rs.fechahora) = $agno
			ORDER BY
			    rs.fechahora DESC
			");
	
	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	if($rows == NULL){
		$rows[0] = [
					"Id" => "Sin Datos",
				    "Patente" => "Sin Datos",
				    "Desviacion" => "Sin Datos",
				    "Estado" => "Sin Datos"
				];
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
